Bug 123329 - RHAS2.1 Update 5 MustFix : rdist fail when symlink are involved. "symlink failed: File exists"
RHAS2.1 Update 5 MustFix : rdist fail when symlink are involved. "symlink fai...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rdist (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 116726
  Show dependency treegraph
 
Reported: 2004-05-17 03:30 EDT by Pierre Amadio
Modified: 2015-03-04 20:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 11:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Amadio 2004-05-17 03:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Using rdist to backup file on a remote AS2.1 fail if symlink are
present in the directory to backup.

This problem does not exist with rdist 6.1.5-16



Version-Release number of selected component (if applicable):
6.1.5-34.21.1

How reproducible:
Always

Steps to Reproduce:
mkdir /tmp/rdistTestcase
mkdir /tmp/rdistTestcase/A
ln -s /tmp/rdistTestcase/A /tmp/rdistTestcase/B

Use the following myDistfile :

HOSTS = ( root@172.16.10.127 )
FILES =( /tmp/rdistTestcase )
${FILES} -> ${HOSTS} 

Launch rdist:

rdist -P /usr/bin/ssh -o chknfs,remove,sparse -p /usr/sbin/rdistd -f
./myDistfile



Actual Results:  root@172.16.10.127: dhcp-127: REMOTE ERROR:
/tmp/rdistTestcase/rdistSSOmfR -> /tmp/rdistTestcase/A: symlink
failed: File exists


Expected Results:  root@172.16.10.127: /tmp/rdistTestcase/B: installing
root@172.16.10.127: updating of root@172.16.10.127 finished


Additional info:
Comment 1 Peter Collinson 2004-05-17 04:18:01 EDT
I've recently installed rdist-6.1.5-34.30.1:1.i386.rpm as part of
up2date on several ES 3 systems. I use rdist to 'clone' disks
relocating  contents from one disk to another. After the upgrade no
files are copied.
I get error messages like:
localhost: longport: REMOTE ERROR:
/bck//usr/share/man/man3/rdistInrJ89->cust_outopts.3x.gz: symlink
fails File Exists.

Basically - rdist seems badly broken.
I've reverted back to the previous version.
Comment 2 Phil Knirsch 2004-05-18 04:52:13 EDT
I'll take care of updated packages which will be included at least in
the next upcoming quarterly update. They might be officially released
before that via an errata.

For your convenience i'll put the fixed and updated packages on my
personal Red Hat homepage for download as well. Keep in mind though
that  those packages aren't signed and are not officially supported by
Red Hat.

The packages should appear in the next couple of days here:

http://people.redhat.com/pknirsch

Thanks,

Read ya, Phil
Comment 5 Phil Knirsch 2004-06-21 08:46:35 EDT
OK, errata has been initiated.

Read ya, Phil
Comment 6 John Flanagan 2004-08-18 11:45:18 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-252.html
Comment 7 Jay Turner 2004-09-01 22:43:19 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-278.html

Note You need to log in before you can comment on or make changes to this bug.